net.minecraft.util

## Class StringTranslate

- java.lang.Object
- - net.minecraft.util.StringTranslate

-     public class StringTranslate
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `currentLanguage`
    `Properties` | `translateTable` Contains all key/value pairs to be translated - is loaded from '/lang/en_US.lang' when the StringTranslate is created.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringTranslate(String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_94519_a(String par1Str, File par2File)`
    `boolean` | `func_94520_b(String par1Str)`
    `String` | `getCurrentLanguage()`
    `static StringTranslate` | `getInstance()` Return the StringTranslate singleton instance
    `TreeMap` | `getLanguageList()`
    `static boolean` | `isBidirectional(String par0Str)`
    `boolean` | `isUnicode()`
    `void` | `setLanguage(String par1Str, boolean par2)`
    `String` | `translateKey(String par1Str)` Translate a key to current language.
    `String` | `translateKeyFormat(String par1Str, Object... par2ArrayOfObj)` Translate a key to current language applying String.format()
    `String` | `translateNamedKey(String par1Str)` Translate a key with a extra '.name' at end added, is used by blocks and items.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### translateTable

          public Properties translateTable

      Contains all key/value pairs to be translated - is loaded from '/lang/en_US.lang' when the StringTranslate is created.

    - #### currentLanguage

          public String currentLanguage

  - ### Constructor Detail

    - #### StringTranslate

          public StringTranslate(String par1Str)

  - ### Method Detail

    - #### getInstance

          public static StringTranslate getInstance()

      Return the StringTranslate singleton instance

    - #### getLanguageList

          public TreeMap getLanguageList()

    - #### setLanguage

          public void setLanguage(String par1Str,
                         boolean par2)

    - #### translateKey

          public String translateKey(String par1Str)

      Translate a key to current language.

    - #### translateKeyFormat

          public String translateKeyFormat(String par1Str,
                                  Object... par2ArrayOfObj)

      Translate a key to current language applying String.format()

    - #### getCurrentLanguage

          public String getCurrentLanguage()

    - #### isUnicode

          public boolean isUnicode()

    - #### func_94520_b

          public boolean func_94520_b(String par1Str)

    - #### translateNamedKey

          public String translateNamedKey(String par1Str)

      Translate a key with a extra '.name' at end added, is used by blocks and items.

    - #### isBidirectional

          public static boolean isBidirectional(String par0Str)

    - #### func_94519_a

          public void func_94519_a(String par1Str,
                          File par2File)